Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.cheaptime.domain
Class CheapTimeSolution

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.cheaptime.domain.CheapTimeSolution

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Solution<HardMediumSoftLongScore>

    public class CheapTimeSolution

extends AbstractPersistable
implements Solution<HardMediumSoftLongScore>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`CheapTimeSolution()`

Method Summary
`int` | `getGlobalPeriodRangeFrom()`
`int` | `getGlobalPeriodRangeTo()`
`List<MachineCapacity>` | `getMachineCapacityList()`
`List<Machine>` | `getMachineList()`
`List<PeriodPowerPrice>` | `getPeriodPowerPriceList()`
`Collection<? extends Object>` | `getProblemFacts()` Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`.
`List<Resource>` | `getResourceList()`
`HardMediumSoftLongScore` | `getScore()` Returns the `Score` of this Solution.
`List<TaskAssignment>` | `getTaskAssignmentList()`
`List<Task>` | `getTaskList()`
`List<TaskRequirement>` | `getTaskRequirementList()`
`int` | `getTimeResolutionInMinutes()`
`void` | `setGlobalPeriodRangeFrom(int globalPeriodRangeFrom)`
`void` | `setGlobalPeriodRangeTo(int globalPeriodRangeTo)`
`void` | `setMachineCapacityList(List<MachineCapacity> machineCapacityList)`
`void` | `setMachineList(List<Machine> machineList)`
`void` | `setPeriodPowerPriceList(List<PeriodPowerPrice> periodPowerPriceList)`
`void` | `setResourceList(List<Resource> resourceList)`
`void` | `setScore(HardMediumSoftLongScore score)` Called by the `Solver` when the `Score` of this Solution has been calculated.
`void` | `setTaskAssignmentList(List<TaskAssignment> taskAssignmentList)`
`void` | `setTaskList(List<Task> taskList)`
`void` | `setTaskRequirementList(List<TaskRequirement> taskRequirementList)`
`void` | `setTimeResolutionInMinutes(int timeResolutionInMinutes)`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheapTimeSolution

    public CheapTimeSolution()

Method Detail

### getTimeResolutionInMinutes

    public int getTimeResolutionInMinutes()

### setTimeResolutionInMinutes

    public void setTimeResolutionInMinutes(int timeResolutionInMinutes)

### getGlobalPeriodRangeFrom

    public int getGlobalPeriodRangeFrom()

### setGlobalPeriodRangeFrom

    public void setGlobalPeriodRangeFrom(int globalPeriodRangeFrom)

### getGlobalPeriodRangeTo

    public int getGlobalPeriodRangeTo()

### setGlobalPeriodRangeTo

    public void setGlobalPeriodRangeTo(int globalPeriodRangeTo)

### getResourceList

    public List<Resource> getResourceList()

### getMachineList

    public List<Machine> getMachineList()

### setMachineList

    public void setMachineList(List<Machine> machineList)

### setResourceList

    public void setResourceList(List<Resource> resourceList)

### getMachineCapacityList

    public List<MachineCapacity> getMachineCapacityList()

### setMachineCapacityList

    public void setMachineCapacityList(List<MachineCapacity> machineCapacityList)

### getTaskList

    public List<Task> getTaskList()

### setTaskList

    public void setTaskList(List<Task> taskList)

### getTaskRequirementList

    public List<TaskRequirement> getTaskRequirementList()

### setTaskRequirementList

    public void setTaskRequirementList(List<TaskRequirement> taskRequirementList)

### getPeriodPowerPriceList

    public List<PeriodPowerPrice> getPeriodPowerPriceList()

### setPeriodPowerPriceList

    public void setPeriodPowerPriceList(List<PeriodPowerPrice> periodPowerPriceList)

### getTaskAssignmentList

    public List<TaskAssignment> getTaskAssignmentList()

### setTaskAssignmentList

    public void setTaskAssignmentList(List<TaskAssignment> taskAssignmentList)

### getScore

    public HardMediumSoftLongScore getScore()

  Description copied from interface: `Solution`
  Returns the `Score` of this Solution.

  Specified by:
    `getScore` in interface `Solution<HardMediumSoftLongScore>`
  Returns:
    null if the Solution is uninitialized or the last calculated `Score` is dirty the new `Score` has not yet been recalculated

### setScore

    public void setScore(HardMediumSoftLongScore score)

  Description copied from interface: `Solution`
  Called by the `Solver` when the `Score` of this Solution has been calculated.

  Specified by:
    `setScore` in interface `Solution<HardMediumSoftLongScore>`
  Parameters:
    `score` - null if the Solution has changed and the new `Score` has not yet been recalculated

### getProblemFacts

    public Collection<? extends Object> getProblemFacts()

  Description copied from interface: `Solution`
  Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`. These facts can be used by the score rules. They don't change during planning (except through `ProblemFactChange` events).

  Do not include the planning entities as problem facts: they are automatically inserted into the `KieSession` if and only if they are initialized. When they are initialized later, they are also automatically inserted.

  Specified by:
    `getProblemFacts` in interface `Solution<HardMediumSoftLongScore>`
  Returns:
    never null (although an empty collection is allowed), all the facts of this solution except for the planning entities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.